Update asynchronous HTTP request Workflow block
curl --request POST \
--url https://api.getcortexapp.com/api/v1/workflows/{tagOrId}/callback/{callbackId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"response": {}
}
'import requests
url = "https://api.getcortexapp.com/api/v1/workflows/{tagOrId}/callback/{callbackId}"
payload = {
"message": "<string>",
"response": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', response: {}})
};
fetch('https://api.getcortexapp.com/api/v1/workflows/{tagOrId}/callback/{callbackId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update asynchronous HTTP request Workflow block
Updates an asynchronous HTTP request Workflow block.
API key must have the Edit workflow runs permission.
POST
/
api
/
v1
/
workflows
/
{tagOrId}
/
callback
/
{callbackId}
Update asynchronous HTTP request Workflow block
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
The tag or unique, auto-generated identifier for the workflow. Entity identifier - can be a tag or CID
Callback ID; Provided by the Workflow block when it runs
Body
application/jsonapplication/yaml
Human readable message to be shown to the user
Status of the callback request. UPDATE keeps the workflow paused
Available options:
SUCCESS, FAILURE, UPDATE Response from the callback request. If set, must be a JSON object
Show child attributes
Show child attributes
Response
Successfully received Workflow callback
Last modified on September 29, 2026